Productsup

List buckets

Integrators can only list their own buckets

Sign in to run requests against the CDE API.
GET
/buckets

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Query Parameters

owner?string

filter by the owner's UUID (a user or an organization)

name?string

filter by a fragment of the bucket name

from?integer

starting item

limit?integer

items per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/buckets"
{
  "data": [
    {
      "id": "bc20b1bc-ef3c-400c-bc70-898689287d41",
      "name": "bucket4",
      "owner": "01a10fc7-c822-7f8c-9f33-67f92fcde48b",
      "created-at": "2026-10-06T07:55:13+02:00"
    },
    {
      "id": "ca5ce108-7922-4bac-9b05-fbc6349ff618",
      "name": "bucket5",
      "owner": "01a10fc7-c822-7f8c-9f33-67f92fcde48b",
      "created-at": "2026-10-06T07:55:13+02:00"
    }
  ],
  "metadata": {
    "from": 0,
    "limit": 100,
    "count": 2,
    "total": 2,
    "next": null
  },
  "message": "successful operation",
  "resource": "bucket"
}
{
  "message": "Invalid connector user identifier.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}